diff --git a/author_pane.module b/author_pane.module
index ce94488..6fb8e61 100644
--- a/author_pane.module
+++ b/author_pane.module
@@ -209,7 +209,7 @@ function template_preprocess_author_pane(&$variables) {
   }
   else {
     $style = (!empty($variables['picture_preset'])) ? $variables['picture_preset'] : '';
-    $variables['picture'] = theme('author_pane_user_picture', array('account' => $variables['account'], 'caller' => $caller, 'picture_preset' => $style));
+    $variables['picture'] = theme('user_picture', array('account' => $variables['account'], 'caller' => $caller, 'picture_preset' => $style));
     $user_pictures[$account_id] = $variables['picture'];
   }
 
@@ -246,7 +246,7 @@ function template_preprocess_author_pane(&$variables) {
 
 
 /**
- * Process variables for author-pane-user-picture.tpl.php.
+ * Override template_preprocess_user_picture to change the image style.
  *
  * The $variables array contains the following arguments:
  * - $variables['account']: User account object.
@@ -257,42 +257,43 @@ function template_preprocess_author_pane(&$variables) {
  *
  * @see author-pane-user-picture.tpl.php
  */
-function template_preprocess_author_pane_user_picture(&$variables) {
-  $variables['picture'] = '';
-
-  if (variable_get('user_pictures', 0)) {
-    $account = $variables['account'];
-
-    if (!empty($account->picture) && !empty($account->picture->uri)) {
-      $filepath = $account->picture->uri;
-    }
-    elseif (variable_get('user_picture_default', '')) {
-      $filepath = variable_get('user_picture_default', '');
-    }
-
-    if (isset($filepath)) {
-      $alt = t("@user's picture", array('@user' => format_username($account)));
-
-      // If the image does not have a valid Drupal scheme (for eg. HTTP),
-      // don't load image styles.
-      if (module_exists('image') && file_valid_uri($filepath) && $style = ((!empty($variables['picture_preset'])) ? $variables['picture_preset'] : '')) {
-        $variables['picture'] = theme('image_style', array('style_name' => $style, 'path' => $filepath, 'alt' => $alt, 'title' => $alt));
-        $variables['imagecache_used'] = TRUE;
+function author_pane_preprocess_user_picture(&$variables) {
+  // Only override the user picture templating if it was from Author Pane.
+  if (isset($variables['caller'])) {
+    if (variable_get('user_pictures', 0)) {
+      $account = $variables['account'];
+
+      if (!empty($account->picture) && !empty($account->picture->uri)) {
+        $filepath = $account->picture->uri;
       }
-      else {
-        $variables['picture'] = theme('image', array('path' => $filepath, 'alt' => $alt, 'title' => $alt));
-        $variables['imagecache_used'] = FALSE;
+      elseif (variable_get('user_picture_default', '')) {
+        $filepath = variable_get('user_picture_default', '');
       }
 
-      if (!empty($account->uid) && user_access('access user profiles')) {
-        $options = array(
-          'attributes' => array('title' => t('View user profile.')),
-          'html' => TRUE,
-        );
-        $variables['picture_link_profile'] = l($variables['picture'], "user/$account->uid", $options);
-      }
-      else {
-        $variables['picture_link_profile'] = FALSE;
+      if (isset($filepath)) {
+        $alt = t("@user's picture", array('@user' => format_username($account)));
+
+        // If the image does not have a valid Drupal scheme (for eg. HTTP),
+        // don't load image styles.
+        if (module_exists('image') && file_valid_uri($filepath) && $style = ((!empty($variables['picture_preset'])) ? $variables['picture_preset'] : '')) {
+          $variables['picture'] = theme('image_style', array('style_name' => $style, 'path' => $filepath, 'alt' => $alt, 'title' => $alt));
+          $variables['imagecache_used'] = TRUE;
+        }
+        else {
+          $variables['picture'] = theme('image', array('path' => $filepath, 'alt' => $alt, 'title' => $alt));
+          $variables['imagecache_used'] = FALSE;
+        }
+
+        if (!empty($account->uid) && user_access('access user profiles')) {
+          $options = array(
+            'attributes' => array('title' => t('View user profile.')),
+            'html' => TRUE,
+          );
+          $variables['picture_link_profile'] = l($variables['picture'], "user/$account->uid", $options);
+        }
+        else {
+          $variables['picture_link_profile'] = FALSE;
+        }
       }
     }
   }
